Data Fields

# NICallback Struct Reference

Representation of the available callbacks with information on when they actually apply. More...

## Data Fields
const char * | name
| The human readable name of the callback.
ptrdiff_t | offset
| Offset of the variable in the class.
byte | read_size
| The number of bytes (i.e. byte, word, dword etc) to read.
byte | cb_bit
| The bit that needs to be set for this callback to be enabled.
uint16 | cb_id
| The number of the callback.

## Detailed Description

Representation of the available callbacks with information on when they actually apply.

Definition at line 89 of file newgrf_debug_gui.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_debug_gui.cpp